
CoCoA-5 - Bug #201

segmentation fault with function defined in package ("PrintHGIndices"): First and Last

03 Jul 2012 14:56 - Anna Maria Bigatti

Status: Closed Start date: 03 Jul 2012

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Parser/Interpreter Estimated time: 1.50 hour

Target version: CoCoA-5.0.3 Spent time: 1.50 hour

Description

Whatever the user error is, CoCoA should never crash.  Investigate.

Bigatti := [

  Record[C := 20, T := "my title 1"],

  Record[C := 2, T := "my title 2"]

];

PrintHGIndices(Bigatti);

History

#1 - 04 Jul 2012 09:14 - Anna Maria Bigatti

- Category set to Parser/Interpreter

- Status changed from New to Resolved

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoA-5.0.3

- % Done changed from 0 to 80

- Estimated time set to 1.50 h

The problem is in the function First(L,N) when N is larger than the length of L.

Fixed.

#2 - 04 Jul 2012 09:44 - Anna Maria Bigatti

- Subject changed from segmentation fault with function defined in package ("PrintHGIndices") to segmentation fault with function defined in package

("PrintHGIndices"): First and Last

- Status changed from Resolved to Closed

Also First([]) and Last([]) were buggy:  fixed

#3 - 04 Jul 2012 09:45 - Anna Maria Bigatti

- % Done changed from 80 to 100
